package ru.dbotthepony.mc.otm.matter

import com.google.gson.JsonObject
import net.minecraft.resources.ResourceLocation
import net.minecraft.tags.TagKey
import net.minecraft.world.item.Item
import ru.dbotthepony.mc.otm.core.nbt.set
import ru.dbotthepony.mc.otm.core.set

class BlacklistAction : DeleteAction {
	constructor(
		tag: TagKey<Item>,
	) : super(tag = tag, errorOnFailure = false)

	constructor(
		key: ResourceLocation,
	) : super(key = key, errorOnFailure = false)

	constructor(json: JsonObject) : super(json)

	override fun toJson(): JsonObject {
		return super.toJson().also {
			it["action"] = "blacklist"
		}
	}
}
